### Method

# Gio Socket get_broadcast

since: 2.32

#### Declaration

    gboolean
    g_socket_get_broadcast (
      GSocket* socket
    )

#### Description

Gets the broadcast setting on `socket`; if `TRUE`, it is possible to send packets to broadcast addresses.

Available since: 2.32

Gets property | `Gio.Socket:broadcast`

#### Return value

Type: `gboolean`

The broadcast setting on `socket`.